'progressbar range
'命令将检索在进度栏控件中设置的当前最大值和最小值。
'hWndControl： 进度栏控件的句柄
'lMinRange： 载进度栏控件的当前最小范围值
'lMaxRange： 载进度栏控件的当前最大范围值
Function FF_ProgressBar_GetRange( ByVal hWndControl as HWnd, _
                                  ByRef lMinRange as Long, _
                                  ByRef lMaxRange as Long _
                                  ) as Integer
   Dim PB as PBRANGE
   
   '  Returns the Current Progress Bar Range
   Function = SendMessage( hWndControl, _    '  Handle To destination Control
                           PBM_GETRANGE, _  '  Message ID
                           False,        _  '  (WPARAM) (BOOL) fWhichLimit;
                           Cast(LPARAM, VarPtr(PB)) )      '  (LPARAM) (PPBRANGE) ppBRange;
   lMinRange = PB.iLow
   lMaxRange = PB.iHigh 
   
End Function

